ppx_let

Monadic let-bindings
IN THIS PACKAGE
Empty package map

Error log

The package failed to build. The error log from opam follows.

# Detecting depexts using vars: arch=x86_64, os=linux, os-distribution=debian, os-family=debian
# No extra OS packages requirements found.
# All required OS packages found.
# Now letting opam install the packages
[NOTE] Package ocamlfind is already installed (current version is 1.9.1).
[NOTE] Package dune is already installed (current version is 2.9.0).
The following actions will be performed:
  - install seq                     base
  - install fix                     20201120
  - install menhirLib               20210419
  - install ocamlbuild              0.14.0
  - install stdlib-shims            0.3.0
  - install ocaml-migrate-parsetree 2.2.0
  - install csexp                   1.5.1
  - install octavius                1.2.2
  - install mmap                    1.1.0
  - install ppx_derivers            1.2.1
  - install ocaml-version           3.1.0
  - install spawn                   v0.13.0
  - install ocaml-compiler-libs     v0.12.3
  - install base-bytes              base
  - install cppo                    1.6.7
  - install sexplib0                v0.14.0
  - install jane-street-headers     v0.14.0
  - install cmdliner                1.0.4
  - install menhirSdk               20210419
  - install dune-build-info         2.9.0
  - install result                  1.5
  - install either                  1.0.0
  - install num                     1.4
  - install easy-format             1.3.2
  - install re                      1.9.0
  - install uchar                   0.0.2
  - install topkg                   1.0.3
  - install ocplib-endian           1.1
  - install ppxlib                  0.22.2
  - install ocp-indent              1.8.1
  - install menhir                  20210419
  - install dune-configurator       2.9.0
  - install biniou                  1.2.1
  - install uutf                    1.0.2
  - install astring                 0.8.5
  - install ppx_pipebang            v0.14.0
  - install ppx_deriving            5.2.1
  - install lwt                     5.4.1
  - install base                    v0.14.1
  - install yojson                  1.7.0
  - install uucp                    13.0.0
  - install tyxml                   4.5.0
  - install fpath                   0.7.3
  - install webidl                  1.4
  - install variantslib             v0.14.0
  - install typerep                 v0.14.0
  - install stdio                   v0.14.0
  - install ppx_stable              v0.14.1
  - install ppx_sexp_conv           v0.14.3
  - install ppx_optional            v0.14.0
  - install ppx_let                 v0.14.0
  - install ppx_js_style            v0.14.1
  - install ppx_here                v0.14.0
  - install ppx_fixed_literal       v0.14.0
  - install ppx_enumerate           v0.14.0
  - install ppx_compare             v0.14.0
  - install ppx_cold                v0.14.0
  - install parsexp                 v0.14.1
  - install fieldslib               v0.14.0
  - install js_of_ocaml-compiler    3.9.1
  - install uuseg                   13.0.0
  - install odoc                    1.5.3
  - install ppx_variants_conv       v0.14.1
  - install ppx_typerep_conv        v0.14.2
  - install ppx_optcomp             v0.14.2
  - install ppx_custom_printf       v0.14.1
  - install ppx_sexp_value          v0.14.0
  - install ppx_sexp_message        v0.14.1
  - install ppx_hash                v0.14.0
  - install ppx_assert              v0.14.0
  - install sexplib                 v0.14.0
  - install ppx_fields_conv         v0.14.2
  - install js_of_ocaml             3.9.0
  - install ocamlformat             0.19.0~4.13preview
  - install ppx_base                v0.14.0
  - install jst-config              v0.14.0
  - install bin_prot                v0.14.0
  - install js_of_ocaml-ppx         3.9.0
  - install ppx_string              v0.14.1
  - install time_now                v0.14.0
  - install ppx_bin_prot            v0.14.0
  - install js_of_ocaml-lwt         3.9.0
  - install ppx_module_timer        v0.14.0
  - install ppx_inline_test         v0.14.1
  - install ppx_expect              v0.14.1
  - install ppx_bench               v0.14.1
  - install splittable_random       v0.14.0
  - install base_quickcheck         v0.14.1
  - install ppx_jane                v0.14.0
  - install base_bigstring          v0.14.0
  - install core_kernel             v0.14.1
  - install timezone                v0.14.0
  - install protocol_version_header v0.14.0
  - install async_kernel            v0.14.0
  - install core                    v0.14.1
  - install async_rpc_kernel        v0.14.0
  - install textutils               v0.14.0
  - install async_unix              v0.14.0
  - install async                   v0.14.0
  - install js_of_ocaml-webidl      0.2
  - install js_of_ocaml-webgpu      0.2
===== 101 to install =====

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[astring.0.8.5] found in cache
Processing  1/101:
[async.v0.14.0] found in cache
Processing  2/101:
[async_kernel.v0.14.0] found in cache
Processing  3/101:
[async_rpc_kernel.v0.14.0] found in cache
Processing  4/101:
[async_unix.v0.14.0] found in cache
Processing  5/101:
[base.v0.14.1] found in cache
Processing  6/101:
Processing  7/101:
[base_bigstring.v0.14.0] found in cache
Processing  8/101:
[base_quickcheck.v0.14.1] found in cache
Processing  9/101:
[bin_prot.v0.14.0] found in cache
Processing 10/101:
[biniou.1.2.1] found in cache
Processing 11/101:
[cmdliner.1.0.4] found in cache
Processing 12/101:
[core.v0.14.1] found in cache
Processing 13/101:
[core_kernel.v0.14.1] found in cache
Processing 14/101:
[cppo.1.6.7] found in cache
Processing 15/101:
[csexp.1.5.1] found in cache
Processing 16/101:
[dune-build-info.2.9.0] found in cache
Processing 17/101:
[dune-configurator.2.9.0] found in cache
Processing 18/101:
[easy-format.1.3.2] found in cache
Processing 19/101:
[either.1.0.0] found in cache
Processing 20/101:
[fieldslib.v0.14.0] found in cache
Processing 21/101:
[fix.20201120] found in cache
Processing 22/101:
[fpath.0.7.3] found in cache
Processing 23/101:
[jane-street-headers.v0.14.0] found in cache
Processing 24/101:
[js_of_ocaml.3.9.0] found in cache
Processing 25/101:
[js_of_ocaml-compiler.3.9.1] found in cache
Processing 26/101:
[js_of_ocaml-lwt.3.9.0] found in cache
Processing 27/101:
[js_of_ocaml-ppx.3.9.0] found in cache
Processing 28/101:
[js_of_ocaml-webgpu.0.2] found in cache
Processing 29/101:
[js_of_ocaml-webidl.0.2] found in cache
Processing 30/101:
[jst-config.v0.14.0] found in cache
Processing 31/101:
[lwt.5.4.1] found in cache
Processing 32/101:
[menhir.20210419] found in cache
Processing 33/101:
[menhirLib.20210419] found in cache
Processing 34/101:
[menhirSdk.20210419] found in cache
Processing 35/101:
[mmap.1.1.0] found in cache
Processing 36/101:
[num.1.4] found in cache
Processing 37/101:
[ocaml-compiler-libs.v0.12.3] found in cache
Processing 38/101:
[ocaml-migrate-parsetree.2.2.0] found in cache
Processing 39/101:
Processing 40/101: [ocaml-version.3.1.0: http]
[ocamlbuild.0.14.0] found in cache
Processing 41/101: [ocaml-version.3.1.0: http]
Processing 42/101: [ocaml-version.3.1.0: http] [ocamlformat.0.19.0~4.13preview: git]
[ocp-indent.1.8.1] found in cache
Processing 43/101: [ocaml-version.3.1.0: http] [ocamlformat.0.19.0~4.13preview: git]
[ocplib-endian.1.1] found in cache
Processing 44/101: [ocaml-version.3.1.0: http] [ocamlformat.0.19.0~4.13preview: git]
[octavius.1.2.2] found in cache
Processing 45/101: [ocaml-version.3.1.0: http] [ocamlformat.0.19.0~4.13preview: git]
[odoc.1.5.3] found in cache
Processing 46/101: [ocaml-version.3.1.0: http] [ocamlformat.0.19.0~4.13preview: git]
[ocaml-version.3.1.0] downloaded from https://github.com/ocurrent/ocaml-version/releases/download/v3.1.0/ocaml-version-v3.1.0.tbz
Processing 46/101: [ocamlformat.0.19.0~4.13preview: git]
[parsexp.v0.14.1] found in cache
Processing 47/101: [ocamlformat.0.19.0~4.13preview: git]
[ppx_assert.v0.14.0] found in cache
Processing 48/101: [ocamlformat.0.19.0~4.13preview: git]
[ppx_base.v0.14.0] found in cache
Processing 49/101: [ocamlformat.0.19.0~4.13preview: git]
[ppx_bench.v0.14.1] found in cache
Processing 50/101: [ocamlformat.0.19.0~4.13preview: git]
[ppx_bin_prot.v0.14.0] found in cache
Processing 51/101: [ocamlformat.0.19.0~4.13preview: git]
[ppx_cold.v0.14.0] found in cache
Processing 52/101: [ocamlformat.0.19.0~4.13preview: git]
[ppx_compare.v0.14.0] found in cache
Processing 53/101: [ocamlformat.0.19.0~4.13preview: git]
[ppx_custom_printf.v0.14.1] found in cache
Processing 54/101: [ocamlformat.0.19.0~4.13preview: git]
[ppx_derivers.1.2.1] found in cache
Processing 55/101: [ocamlformat.0.19.0~4.13preview: git]
[ppx_deriving.5.2.1] found in cache
Processing 56/101: [ocamlformat.0.19.0~4.13preview: git]
[ERROR] Could not synchronize /home/opam/.opam/4.12/.opam-switch/sources/ocamlformat.0.19.0~4.13preview from "git://github.com/kit-ty-kate/ocamlformat.git#413-backport":
        "/usr/bin/git fetch -q" exited with code 128
Processing 56/101:
[ppx_enumerate.v0.14.0] found in cache
Processing 57/101:
[ppx_expect.v0.14.1] found in cache
Processing 58/101:
[ppx_fields_conv.v0.14.2] found in cache
Processing 59/101:
[ppx_fixed_literal.v0.14.0] found in cache
Processing 60/101:
[ppx_hash.v0.14.0] found in cache
Processing 61/101:
[ppx_here.v0.14.0] found in cache
Processing 62/101:
[ppx_inline_test.v0.14.1] found in cache
Processing 63/101:
[ppx_jane.v0.14.0] found in cache
Processing 64/101:
[ppx_js_style.v0.14.1] found in cache
Processing 65/101:
[ppx_let.v0.14.0] found in cache
Processing 66/101:
[ppx_module_timer.v0.14.0] found in cache
Processing 67/101:
[ppx_optcomp.v0.14.2] found in cache
Processing 68/101:
[ppx_optional.v0.14.0] found in cache
Processing 69/101:
[ppx_pipebang.v0.14.0] found in cache
Processing 70/101:
[ppx_sexp_conv.v0.14.3] found in cache
Processing 71/101:
[ppx_sexp_message.v0.14.1] found in cache
Processing 72/101:
[ppx_sexp_value.v0.14.0] found in cache
Processing 73/101:
[ppx_stable.v0.14.1] found in cache
Processing 74/101:
[ppx_string.v0.14.1] found in cache
Processing 75/101:
[ppx_typerep_conv.v0.14.2] found in cache
Processing 76/101:
[ppx_variants_conv.v0.14.1] found in cache
Processing 77/101:
[ppxlib.0.22.2] found in cache
Processing 78/101:
[protocol_version_header.v0.14.0] found in cache
Processing 79/101:
[re.1.9.0] found in cache
Processing 80/101:
[result.1.5] found in cache
Processing 81/101:
Processing 82/101:
[sexplib.v0.14.0] found in cache
Processing 83/101:
[sexplib0.v0.14.0] found in cache
Processing 84/101:
[spawn.v0.13.0] found in cache
Processing 85/101:
[splittable_random.v0.14.0] found in cache
Processing 86/101:
[stdio.v0.14.0] found in cache
Processing 87/101:
[stdlib-shims.0.3.0] found in cache
Processing 88/101:
[textutils.v0.14.0] found in cache
Processing 89/101:
[time_now.v0.14.0] found in cache
Processing 90/101:
[timezone.v0.14.0] found in cache
Processing 91/101:
[topkg.1.0.3] found in cache
Processing 92/101:
[typerep.v0.14.0] found in cache
Processing 93/101:
[tyxml.4.5.0] found in cache
Processing 94/101:
[uchar.0.0.2] found in cache
Processing 95/101:
[uucp.13.0.0] found in cache
Processing 96/101:
Processing 97/101: [uuseg.13.0.0: http]
[uutf.1.0.2] found in cache
Processing 98/101: [uuseg.13.0.0: http]
[variantslib.v0.14.0] found in cache
Processing 99/101: [uuseg.13.0.0: http]
[webidl.1.4] found in cache
Processing 100/101: [uuseg.13.0.0: http]
[uuseg.13.0.0] downloaded from https://erratique.ch/software/uuseg/releases/uuseg-13.0.0.tbz
Processing 100/101:
[yojson.1.7.0] found in cache
Processing 101/101:
[ERROR] The sources of the following couldn't be obtained, aborting:
          - ocamlformat.0.19.0~4.13preview:
            git://github.com/kit-ty-kate/ocamlformat.git#413-backport

'opam install --verbose --yes js_of_ocaml-webgpu.0.2 astring.0.8.5 async.v0.14.0 async_kernel.v0.14.0 async_rpc_kernel.v0.14.0 async_unix.v0.14.0 base.v0.14.1 base-bytes.base base_bigstring.v0.14.0 base_quickcheck.v0.14.1 bin_prot.v0.14.0 biniou.1.2.1 cmdliner.1.0.4 core.v0.14.1 core_kernel.v0.14.1 cppo.1.6.7 csexp.1.5.1 dune.2.9.0 dune-build-info.2.9.0 dune-configurator.2.9.0 easy-format.1.3.2 either.1.0.0 fieldslib.v0.14.0 fix.20201120 fpath.0.7.3 jane-street-headers.v0.14.0 js_of_ocaml.3.9.0 js_of_ocaml-compiler.3.9.1 js_of_ocaml-lwt.3.9.0 js_of_ocaml-ppx.3.9.0 js_of_ocaml-webidl.0.2 jst-config.v0.14.0 lwt.5.4.1 menhir.20210419 menhirLib.20210419 menhirSdk.20210419 mmap.1.1.0 num.1.4 ocaml-compiler-libs.v0.12.3 ocaml-migrate-parsetree.2.2.0 ocaml-version.3.1.0 ocamlbuild.0.14.0 ocamlfind.1.9.1 ocamlformat.0.19.0~4.13preview ocp-indent.1.8.1 ocplib-endian.1.1 octavius.1.2.2 odoc.1.5.3 parsexp.v0.14.1 ppx_assert.v0.14.0 ppx_base.v0.14.0 ppx_bench.v0.14.1 ppx_bin_prot.v0.14.0 ppx_cold.v0.14.0 ppx_compare.v0.14.0 ppx_custom_printf.v0.14.1 ppx_derivers.1.2.1 ppx_deriving.5.2.1 ppx_enumerate.v0.14.0 ppx_expect.v0.14.1 ppx_fields_conv.v0.14.2 ppx_fixed_literal.v0.14.0 ppx_hash.v0.14.0 ppx_here.v0.14.0 ppx_inline_test.v0.14.1 ppx_jane.v0.14.0 ppx_js_style.v0.14.1 ppx_let.v0.14.0 ppx_module_timer.v0.14.0 ppx_optcomp.v0.14.2 ppx_optional.v0.14.0 ppx_pipebang.v0.14.0 ppx_sexp_conv.v0.14.3 ppx_sexp_message.v0.14.1 ppx_sexp_value.v0.14.0 ppx_stable.v0.14.1 ppx_string.v0.14.1 ppx_typerep_conv.v0.14.2 ppx_variants_conv.v0.14.1 ppxlib.0.22.2 protocol_version_header.v0.14.0 re.1.9.0 result.1.5 seq.base sexplib.v0.14.0 sexplib0.v0.14.0 spawn.v0.13.0 splittable_random.v0.14.0 stdio.v0.14.0 stdlib-shims.0.3.0 textutils.v0.14.0 time_now.v0.14.0 timezone.v0.14.0 topkg.1.0.3 typerep.v0.14.0 tyxml.4.5.0 uchar.0.0.2 uucp.13.0.0 uuseg.13.0.0 uutf.1.0.2 variantslib.v0.14.0 webidl.1.4 yojson.1.7.0' failed.